Bug 504268 - [RFE] Check Oracle tablespace capacity before importing package metadata
[RFE] Check Oracle tablespace capacity before importing package metadata
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: New Feature (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-06-05 05:47 EDT by Garik Khachikyan
Modified: 2015-01-04 16:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 09:29:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Exception during satellite-sync -- tablespace usage exceeding issue (2.40 KB, application/octet-stream)
2009-06-05 05:47 EDT, Garik Khachikyan
no flags Details

  None (edit)
Description Garik Khachikyan 2009-06-05 05:47:02 EDT
Created attachment 346622 [details]
Exception during satellite-sync -- tablespace usage exceeding issue

Description of problem:
During import of package metadata in satellite-sync the exception was thrown about inability of extending Oracle index.
But no advise of how to resolve the issue (would be nice to see something similar to: "check/extend your Oracle tablespaces")
Actually the simple "db-control extend DATA_TBS" is resolving the issue.

So, is it possible to check the tablespace capacity first: before starting package metadata import process, and in case of possible collisions print out some helpful toDo-s?

Attached is a log of this exception.


Version-Release number of selected component (if applicable):

How reproducible:
Always when DATA_DBS usage is near to 100%.

Steps to Reproduce:
1. Import some channels up to getting DATA_DBS Oracle tablespace usage close to 100% usage. (to check it su as "oracle" and run "db-control report").
2. Then start sync of one more big channel.
  
Actual results:
An exception should thrown out. Process is interrupted and not possible to recover without extending tablespace size.

Expected results:
Not to start package metadata importing process before checking the capacity of DATA_DBS.

Additional info:
Comment 1 Clifford Perry 2009-06-05 09:14:07 EDT
Not for 5.3.0 - too late in cycle, moving off to sat600-triage for review for post 5.3.0 inclusion. 

Cliff

Note You need to log in before you can comment on or make changes to this bug.